PONYSAY(0)

NAME
ponysay-tool - Tool chest for ponysay

SYNOPSIS
ponysay-tool [options] [--] [fileifapply]

DESCRIPTION

ponysay-tool this is a ponysay developing tool that can edit metadata for .pony files and others options related to pony file modifications. If file is not provided, then fallback to --help.

For an extensive documentation run `info ponysay`.

OPTIONS
A summary of options is included below.

-h, --help
    Show summary of options.

Print the version of the program.
    For now is same as ponysay -v

--kms
    Generate all kmsponies for the current TTY palette, not work in all videos.

--dimensions [PONYDIR]
    Generate pony dimension file for a directory, useful at build time.

--metadata [PONYDIR]
    Generate pony metadata collection file for a directory, useful at build time.

-b, --browse [PONYDIR]
    Browse ponies in a directory and show them. This option NEED a PONYDIR for work.

-b, --restrict [PONYDIR]
    Metadata based restriction for --browse, you can restrict the ponies showed in --browse using same sintaxis as ponysay --restrict. Due that --browse need a PONYDIR this option need to be last alongside they restrictions.

--edit [PONYFILE]
    Edit a pony file's metadata filling a predefined template, this metadata later is used by ponysay --info, ponysay ++info and ponysay-tool --restrict for show metadata or restrict who ponies are used by other options. The metadata editor have a EMACS alike syntaxis key combination.

--edit-rm [PONYFILE]
    Remove metadata from a pony file, use with caution because deleted metadata is unrecoverable unless you reintall the affected [pony file] directrly from the source code or a backup.

--edit-apply [PONYFILE]
    Apply metadata from stdin to a pony file, this include HEIGHT and WIDTH. `info ponysay` include a trick that include --edit-stash that easy the metadata edition in large amount of [pony file]

--edit-stash [PONYFILE]
    Print applyable meta with data from a pony file, can by used alongside in a combo with --edit-apply for sped metadata in same pony with different pose.

BUG
Bugs can be reported in <https://github.com/erkin/ponysay/issues>.

SEE ALSO
ponysay(6),

AUTHOR
ponysay was written by Erkin Batu Altunbaş <erkinbatu@gmail.com> with contributions from Mattias Andrée, Elis Axelsson, Sven-Hendrik Haase, Pablo Lezaeta, Jan Alexander Steffens et al.

This manual page was originally written by Pablo Lezaeta <prflr88@gmail.com> for ponysay release.

This program is licensed under GNU GPLv3+.